/*
 * Copyright (c) 2017 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef SCREEN_CONNECTOR_REMOTE_SURFACE_EVAS_IMAGE_MOCK_INTERNAL_H_
#define SCREEN_CONNECTOR_REMOTE_SURFACE_EVAS_IMAGE_MOCK_INTERNAL_H_

#include <memory>
#include <string>

#include "screen_connector_remote_surface_evas/image_internal.h"

namespace screen_connector {
namespace test {

class ImageMock : public Image {
 public:
  ImageMock(Evas_Object* raw, IEventListener* listener,
            const std::string& instId, int pid, void* tag)
      : Image(raw, listener, instId, pid, tag) {}
  virtual ~ImageMock() {}

  void Update(std::shared_ptr<WlBuffer> tbm) override {}
};

}  // namespace test
}  // namespace screen_connector

#endif  // SCREEN_CONNECTOR_REMOTE_SURFACE_EVAS_IMAGE_MOCK_INTERNAL_H_
